This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1029627 - Power management with multiple batteries broken
Power management with multiple batteries broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 14:05 EST by Amit Shah
Modified: 2013-11-18 13:41 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 13:41:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image showing incorrect calculation for time remaining (77.06 KB, image/png)
2013-11-12 14:05 EST, Amit Shah
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 712266 None None None Never

  None (edit)
Description Amit Shah 2013-11-12 14:05:37 EST
Created attachment 823105 [details]
Image showing incorrect calculation for time remaining

Description of problem:

I have two batteries on my ThinkPad 420s.  One is a 6-cell and the other is a 3-cell.  The laptop firmware discharges the 3-cell one completely before switching to the 6-cell one.  When the 3-cell one nears full discharge, gnome thinks the laptop is going to run out of power.

As shown in the attachment, the % remaining calculation is correct, and takes both batteries into account.  But the time remaining estimate is incorrect, and only based on the currently-discharging battery.

So gnome keeps suspending my laptop till the firmware switches to the 6-cell battery.

Once that happens, the time remaining is updated to reflect the 6-cell battery's discharge rate.

This is a regression from F19.


Version-Release number of selected component (if applicable):

$ rpm -q gnome-shell
gnome-shell-3.10.1-2.fc20.x86_64
Comment 1 Amit Shah 2013-11-18 13:41:44 EST
gnome-settings-daemon-3.10.2 fixes this.

Note You need to log in before you can comment on or make changes to this bug.